Core Service provides basic operations which is not specific to the individual data formats, Create/Get/Update/Remove mapping definition stored in Design Time Service local storage, validate mapping, retrieve metadata for available field actions and etc.
1. Endpoints
1.1. Default
1.1.1. createMappingRequest
PUT /mapping/{mappingFormat}/{mappingDefinitionId}
Create Mapping
Description
Save a mapping file on the server
Parameters
Path Parameters
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
mappingFormat |
Mapping Format |
X |
null |
|
mappingDefinitionId |
Mapping ID |
X |
null |
Body Parameter
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
AtlasMapping |
Mapping file content AtlasMapping |
- |
Return Type
-
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Succeeded |
<<>> |
500 |
Mapping file save error |
<<>> |
Samples
1.1.2. createMappingRequestOld
PUT /mapping/{mappingFormat}
Create Mapping
Description
Save a mapping file on the server
Parameters
Path Parameters
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
mappingFormat |
Mapping Format |
X |
null |
Body Parameter
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
AtlasMapping |
Mapping file content AtlasMapping |
- |
Return Type
-
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Succeeded |
<<>> |
500 |
Mapping file save error |
<<>> |
Samples
1.1.3. getMappingRequest
GET /mapping/{mappingFormat}/{mappingDefinitionId}
Get Mapping
Description
Retrieve a mapping file saved on the server
Parameters
Path Parameters
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
mappingFormat |
Mapping Format |
X |
null |
|
mappingDefinitionId |
Mapping ID |
X |
null |
Return Type
Content Type
-
application/json
-
application/xml
-
application/octet-stream
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Return a mapping file content |
|
204 |
Mapping file was not found |
<<>> |
500 |
Mapping file access error |
<<>> |
Samples
1.1.4. getMappingRequestOld
GET /mapping/{mappingFormat}
Get Mapping
Description
Retrieve a mapping file saved on the server
Parameters
Path Parameters
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
mappingFormat |
Mapping Format |
X |
null |
Return Type
Content Type
-
application/json
-
application/xml
-
application/octet-stream
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Return a mapping file content |
|
204 |
Mapping file was not found |
<<>> |
500 |
Mapping file access error |
<<>> |
Samples
1.1.5. listFieldActions
GET /fieldActions
List FieldActions
Description
Retrieves a list of available field action
Parameters
Return Type
Content Type
-
application/json
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Return a list of field action detail |
Samples
1.1.6. listLibraryClasses
GET /library/list
List Library Classes
Description
Retrieves a list of available Java library class names from uploaded JARs.
Parameters
Return Type
Content Type
-
application/json
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Return a list of loadable class names |
Samples
1.1.7. listMappingBuilderClasses
GET /mappingBuilders
List mapping builder classes
Description
List mapping builder classes which defines custom mapping logic
Parameters
Return Type
Content Type
-
application/json
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Return a list of loadable class names |
Samples
1.1.8. listMappings
GET /mappings/{mappingDefinitionId}
List Mappings
Description
Retrieves a list of mapping file name saved with specified mappingDefinitionId
Parameters
Path Parameters
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
mappingDefinitionId |
Mapping Definition ID |
X |
null |
Query Parameters
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
filter |
- |
null |
Return Type
Content Type
-
application/json
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Return a list of a pair of mapping file name and content |
Samples
1.1.9. listMappingsOld
GET /mappings
List Mappings
Description
Retrieves a list of mapping file name saved with specified mappingDefinitionId
Parameters
Query Parameters
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
filter |
- |
null |
Return Type
Content Type
-
application/json
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Return a list of a pair of mapping file name and content |
Samples
1.1.10. ping
GET /ping
Ping
Description
Simple liveness check method used in liveness checks. Must not be protected via authetication.
Parameters
Return Type
Content Type
-
/
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Return 'pong' |
Samples
1.1.11. processMappingRequest
PUT /mapping/process
Process Mapping
Description
Process Mapping by feeding input data
Parameters
Body Parameter
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
AtlasMapping |
Mapping file content AtlasMapping |
- |
Return Type
Content Type
-
application/json
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Return a mapping result |
|
204 |
Skipped empty mapping execution |
<<>> |
Samples
1.1.12. removeMappingRequest
DELETE /mapping/{mappingDefinitionId}
Remove Mapping
Description
Remove a mapping file saved on the server
Parameters
Path Parameters
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
mappingDefinitionId |
Mapping ID |
X |
null |
Return Type
-
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Specified mapping file was removed successfully |
<<>> |
204 |
Mapping file was not found |
<<>> |
Samples
1.1.13. removeMappingRequestOld
DELETE /mapping
Remove Mapping
Description
Remove a mapping file saved on the server
Parameters
Return Type
-
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Specified mapping file was removed successfully |
<<>> |
204 |
Mapping file was not found |
<<>> |
Samples
1.1.14. resetAllMappings
DELETE /mapping/RESET/ALL
Remove All Mappings
Description
Remove all mapping files and catalogs saved on the server
Parameters
Return Type
-
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
All mapping files were removed successfully |
<<>> |
204 |
Unable to remove all mapping files |
<<>> |
Samples
1.1.15. resetMappingById
DELETE /mapping/RESET/{mappingDefinitionId}
Remove Mapping by ID
Description
Remove mapping file and catalogs related to specified ID
Parameters
Path Parameters
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
mappingDefinitionId |
Mapping ID |
X |
null |
Return Type
-
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Mapping file and Catalogs were removed successfully |
<<>> |
204 |
Unable to remove mapping file and Catalogs for the specified ID |
<<>> |
Samples
1.1.16. resetMappingByIdOld
DELETE /mapping/RESET
Remove Mapping by ID
Description
Remove mapping file and catalogs related to specified ID
Parameters
Return Type
-
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Mapping file and Catalogs were removed successfully |
<<>> |
204 |
Unable to remove mapping file and Catalogs for the specified ID |
<<>> |
Samples
1.1.17. resetUserLibs
DELETE /mapping/resetLibs
Remove All User-Defined JAR libraries
Description
Remove all user-defined JAR files saved on the server
Parameters
Return Type
-
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
All user-defined JAR files were removed successfully |
<<>> |
204 |
Unable to remove all user-defined JAR files |
<<>> |
Samples
1.1.18. updateMappingRequest
POST /mapping/{mappingDefinitionId}
Update Mapping
Description
Update existing mapping file on the server
Parameters
Path Parameters
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
mappingDefinitionId |
Mapping Definition ID |
X |
null |
Body Parameter
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
AtlasMapping |
Mapping file content AtlasMapping |
- |
Return Type
-
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Succeeded |
<<>> |
Samples
1.1.19. updateMappingRequestOld
POST /mapping
Update Mapping
Description
Update existing mapping file on the server
Parameters
Body Parameter
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
AtlasMapping |
Mapping file content AtlasMapping |
- |
Return Type
-
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Succeeded |
<<>> |
Samples
1.1.20. uploadLibrary
PUT /library
Upload Library
Description
Upload a Java library archive file
Parameters
Body Parameter
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
body |
- |
Return Type
-
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Library upload successful. |
<<>> |
Samples
1.1.21. validateMappingRequest
PUT /mapping/validate/{mappingDefinitionId}
Validate Mapping
Description
Validate mapping file
Parameters
Path Parameters
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
mappingDefinitionId |
Mapping ID |
X |
null |
Body Parameter
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
AtlasMapping |
Mapping file content AtlasMapping |
- |
Return Type
Content Type
-
application/json
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Return a validation result |
Samples
1.1.22. validateMappingRequestOld
PUT /mapping/validate
Validate Mapping
Description
Validate mapping file
Parameters
Body Parameter
| Name | Description | Required | Default | Pattern |
|---|---|---|---|---|
AtlasMapping |
Mapping file content AtlasMapping |
- |
Return Type
Content Type
-
application/json
Responses
| Code | Message | Datatype |
|---|---|---|
200 |
Return a validation result |
Samples
2. Models
2.1. Action
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
@type |
String |
2.2. ActionDetail
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
parameters |
|||||
name |
String |
||||
custom |
Boolean |
||||
className |
String |
||||
method |
String |
||||
sourceType |
Enum: ANY, ANY_DATE, BIG_INTEGER, BOOLEAN, BYTE, BYTE_ARRAY, CHAR, COMPLEX, DATE, DATE_TIME, DATE_TIME_TZ, DATE_TZ, DECIMAL, DOUBLE, FLOAT, INTEGER, LONG, NONE, NUMBER, SHORT, STRING, TIME, TIME_TZ, UNSIGNED_BYTE, UNSIGNED_INTEGER, UNSIGNED_LONG, UNSIGNED_SHORT, UNSUPPORTED, |
||||
targetType |
Enum: ANY, ANY_DATE, BIG_INTEGER, BOOLEAN, BYTE, BYTE_ARRAY, CHAR, COMPLEX, DATE, DATE_TIME, DATE_TIME_TZ, DATE_TZ, DECIMAL, DOUBLE, FLOAT, INTEGER, LONG, NONE, NUMBER, SHORT, STRING, TIME, TIME_TZ, UNSIGNED_BYTE, UNSIGNED_INTEGER, UNSIGNED_LONG, UNSIGNED_SHORT, UNSUPPORTED, |
||||
multiplicity |
Enum: ONE_TO_ONE, ONE_TO_MANY, MANY_TO_ONE, ZERO_TO_ONE, MANY_TO_MANY, |
||||
actionSchema |
2.3. ActionDetails
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
actionDetail |
List of ActionDetail |
2.4. ActionParameter
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
values |
List of [string] |
||||
name |
String |
||||
displayName |
String |
||||
description |
String |
||||
fieldType |
Enum: ANY, ANY_DATE, BIG_INTEGER, BOOLEAN, BYTE, BYTE_ARRAY, CHAR, COMPLEX, DATE, DATE_TIME, DATE_TIME_TZ, DATE_TZ, DECIMAL, DOUBLE, FLOAT, INTEGER, LONG, NONE, NUMBER, SHORT, STRING, TIME, TIME_TZ, UNSIGNED_BYTE, UNSIGNED_INTEGER, UNSIGNED_LONG, UNSIGNED_SHORT, UNSUPPORTED, |
2.5. ActionParameters
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
parameter |
List of ActionParameter |
2.6. AtlasMapping
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
dataSource |
List of DataSource |
||||
mappings |
|||||
lookupTables |
|||||
constants |
|||||
properties |
|||||
name |
String |
||||
version |
String |
||||
jsonType |
X |
String |
2.7. AtlasMappingResult
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
targetDocuments |
List of TargetDocument |
||||
audits |
2.8. Audit
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
message |
String |
||||
docId |
String |
||||
docName |
String |
||||
path |
String |
||||
value |
String |
||||
status |
Enum: ALL, INFO, WARN, ERROR, NONE, |
2.9. Audits
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
audit |
List of Audit |
2.10. BaseMapping
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
alias |
String |
||||
description |
String |
||||
mappingType |
Enum: ALL, COLLECTION, COMBINE, LOOKUP, MAP, SEPARATE, NONE, |
||||
jsonType |
X |
String |
2.11. Constant
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
name |
String |
||||
value |
String |
||||
fieldType |
Enum: ANY, ANY_DATE, BIG_INTEGER, BOOLEAN, BYTE, BYTE_ARRAY, CHAR, COMPLEX, DATE, DATE_TIME, DATE_TIME_TZ, DATE_TZ, DECIMAL, DOUBLE, FLOAT, INTEGER, LONG, NONE, NUMBER, SHORT, STRING, TIME, TIME_TZ, UNSIGNED_BYTE, UNSIGNED_INTEGER, UNSIGNED_LONG, UNSIGNED_SHORT, UNSUPPORTED, |
2.12. Constants
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
constant |
List of Constant |
2.13. DataSource
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
id |
String |
||||
name |
String |
||||
description |
String |
||||
uri |
String |
||||
dataSourceType |
Enum: SOURCE, TARGET, |
||||
characterEncoding |
String |
||||
locale |
String |
||||
jsonType |
X |
String |
2.14. Field
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
actions |
List of Action |
||||
value |
Object |
||||
arrayDimensions |
Integer |
int32 |
|||
arraySize |
Integer |
int32 |
|||
collectionType |
Enum: ALL, ARRAY, LIST, MAP, NONE, |
||||
docId |
String |
||||
index |
Integer |
int32 |
|||
path |
String |
||||
required |
Boolean |
||||
status |
Enum: SUPPORTED, UNSUPPORTED, CACHED, ERROR, NOT_FOUND, EXCLUDED, |
||||
fieldType |
Enum: ANY, ANY_DATE, BIG_INTEGER, BOOLEAN, BYTE, BYTE_ARRAY, CHAR, COMPLEX, DATE, DATE_TIME, DATE_TIME_TZ, DATE_TZ, DECIMAL, DOUBLE, FLOAT, INTEGER, LONG, NONE, NUMBER, SHORT, STRING, TIME, TIME_TZ, UNSIGNED_BYTE, UNSIGNED_INTEGER, UNSIGNED_LONG, UNSIGNED_SHORT, UNSUPPORTED, |
||||
format |
String |
||||
name |
String |
||||
jsonType |
X |
String |
2.15. FieldGroup
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
actions |
List of Action |
||||
value |
Object |
||||
arrayDimensions |
Integer |
int32 |
|||
arraySize |
Integer |
int32 |
|||
collectionType |
Enum: ALL, ARRAY, LIST, MAP, NONE, |
||||
docId |
String |
||||
index |
Integer |
int32 |
|||
path |
String |
||||
required |
Boolean |
||||
status |
Enum: SUPPORTED, UNSUPPORTED, CACHED, ERROR, NOT_FOUND, EXCLUDED, |
||||
fieldType |
Enum: ANY, ANY_DATE, BIG_INTEGER, BOOLEAN, BYTE, BYTE_ARRAY, CHAR, COMPLEX, DATE, DATE_TIME, DATE_TIME_TZ, DATE_TZ, DECIMAL, DOUBLE, FLOAT, INTEGER, LONG, NONE, NUMBER, SHORT, STRING, TIME, TIME_TZ, UNSIGNED_BYTE, UNSIGNED_INTEGER, UNSIGNED_LONG, UNSIGNED_SHORT, UNSUPPORTED, |
||||
format |
String |
||||
name |
String |
||||
field |
List of Field |
2.16. JsonSchema
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
id |
String |
||||
get$ref |
String |
||||
get$schema |
String |
||||
disallow |
List of JsonSchema |
||||
required |
Boolean |
||||
readonly |
Boolean |
||||
description |
String |
||||
extends |
List of JsonSchema |
||||
type |
X |
String |
2.17. LookupEntry
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
sourceValue |
String |
||||
sourceType |
Enum: ANY, ANY_DATE, BIG_INTEGER, BOOLEAN, BYTE, BYTE_ARRAY, CHAR, COMPLEX, DATE, DATE_TIME, DATE_TIME_TZ, DATE_TZ, DECIMAL, DOUBLE, FLOAT, INTEGER, LONG, NONE, NUMBER, SHORT, STRING, TIME, TIME_TZ, UNSIGNED_BYTE, UNSIGNED_INTEGER, UNSIGNED_LONG, UNSIGNED_SHORT, UNSUPPORTED, |
||||
targetValue |
String |
||||
targetType |
Enum: ANY, ANY_DATE, BIG_INTEGER, BOOLEAN, BYTE, BYTE_ARRAY, CHAR, COMPLEX, DATE, DATE_TIME, DATE_TIME_TZ, DATE_TZ, DECIMAL, DOUBLE, FLOAT, INTEGER, LONG, NONE, NUMBER, SHORT, STRING, TIME, TIME_TZ, UNSIGNED_BYTE, UNSIGNED_INTEGER, UNSIGNED_LONG, UNSIGNED_SHORT, UNSUPPORTED, |
2.18. LookupTable
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
lookupEntry |
List of LookupEntry |
||||
name |
String |
||||
description |
String |
2.19. LookupTables
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
lookupTable |
List of LookupTable |
2.20. Mapping
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
alias |
String |
||||
description |
String |
||||
mappingType |
Enum: ALL, COLLECTION, COMBINE, LOOKUP, MAP, SEPARATE, NONE, |
||||
expression |
String |
||||
inputFieldGroup |
|||||
inputField |
List of Field |
||||
outputField |
List of Field |
||||
id |
String |
||||
delimiter |
String |
||||
delimiterString |
String |
||||
lookupTableName |
String |
||||
strategy |
String |
||||
strategyClassName |
String |
||||
jsonType |
X |
String |
2.21. Mappings
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
mapping |
List of BaseMapping |
2.22. ProcessMappingResponse
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
mapping |
|||||
audits |
|||||
atlasMappingResult |
|||||
jsonType |
X |
String |
2.23. Properties
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
property |
List of Property |
2.24. Property
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
name |
String |
||||
value |
String |
||||
fieldType |
Enum: ANY, ANY_DATE, BIG_INTEGER, BOOLEAN, BYTE, BYTE_ARRAY, CHAR, COMPLEX, DATE, DATE_TIME, DATE_TIME_TZ, DATE_TZ, DECIMAL, DOUBLE, FLOAT, INTEGER, LONG, NONE, NUMBER, SHORT, STRING, TIME, TIME_TZ, UNSIGNED_BYTE, UNSIGNED_INTEGER, UNSIGNED_LONG, UNSIGNED_SHORT, UNSUPPORTED, |
||||
scope |
String |
||||
dataSourceType |
Enum: SOURCE, TARGET, |
2.25. StringMap
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
stringMapEntry |
List of StringMapEntry |
2.26. StringMapEntry
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
name |
String |
||||
value |
String |
2.27. TargetDocument
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
body |
String |
||||
docId |
String |
2.28. Validation
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
message |
String |
||||
id |
String |
||||
docId |
String |
||||
docName |
String |
||||
scope |
Enum: ALL, DATA_SOURCE, MAPPING, LOOKUP_TABLE, CONSTANT, PROPERTY, |
||||
status |
Enum: ALL, INFO, WARN, ERROR, NONE, |
2.29. Validations
| Field Name | Required | Nullable | Type | Description | Format |
|---|---|---|---|---|---|
validation |
List of Validation |